Class Fox::FXGLCanvas

In: | FXGLCanvas.rb
Parent: | FXCanvas

FXGLCanvas is an area drawn by another object.

Methods

current? makeCurrent makeNonCurrent new new shared? swapBuffers

Public Class methods

new(parent, vis, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theGLCanvas| ...}

Construct an OpenGL-capable canvas, with its own private display list.

new(parent, vis, sharegroup, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theGLCanvas| ...}

Construct an OpenGL-capable canvas that shares its display list with another GL canvas. This canvas becomes a member of a display list share group. All members of the display list share group have to have the same visual.

Public Instance methods

shared?()

Return `true` if sharing display lists.

makeCurrent()

Make OpenGL context current prior to performing OpenGL commands

makeNonCurrent()

Make OpenGL context non-current

current?()

Return `true` if this canvas’ context is the current context.

swapBuffers()

Swap front and back buffer